package edu.nyu.cs9053.concurrency.deadlock;

import edu.nyu.cs9053.concurrency.Concurrent;

/**
 * User: blangel
 * Date: 11/9/14
 * Time: 11:35 AM
 */
public class Deadlock {

    public static void main(String[] args) throws Exception {
        Right right = new Right();
        Left left = new Left();
        Walker john = new Walker(right, left);
        Walker brian = new Walker(left, right);
        Concurrent.walk(john, brian);
    }

}
